# List Files Retrieves details of the file(s) attached to the document (specified by typedId). Endpoint: POST /bdmanager.list/{typedId} Security: basic, X-PriceFx-jwt ## Path parameters: - `typedId` (string, required) typedId of the document you want to list attachments for. Example: "2147491329.Q" ## Request fields (application/json): - `endRow` (integer) - `oldValues` (object,null) - `operationType` (string) - `startRow` (integer) - `textMatchStyle` (string) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.startRow` (integer) - `response.data` (array) - `response.data.lastUpdateByName` (string,null) - `response.data.createdByName` (string) - `response.data.fileName` (string) - `response.data.typedId` (string) - `response.data.lastUpdateDate` (string,null) - `response.data.length` (integer) - `response.data.latestUploadStatusId` (integer) - `response.data.version` (integer) - `response.data.sender` (string,null) - `response.data.createdBy` (integer) - `response.data.recipients` (string,null) - `response.data.sentViaEmail` (boolean) - `response.data.userGroupEdit` (string,null) - `response.data.userGroupViewDetails` (string,null) - `response.data.contentType` (string) - `response.data.embeddedOwner` (string,null) - `response.data.createDate` (string) - `response.data.lastUpdateBy` (integer) - `response.endRow` (integer) - `response.totalRows` (integer) - `response.status` (integer)